# from setuptools import setup,find_packages

# # Read the contents of your README file
# with open("README.md", "r", encoding="utf-8") as fh:
#     long_description = fh.read()

# setup(
#     name='102203836_topsis',
#     packages=find_packages(),
#     version='1.0.0',
#     license='MIT',
#     description='Calculate TOPSIS score and rank alternatives.',
#     long_description='This script calculates the **TOPSIS** (Technique for Order Preference by Similarity to Ideal Solution) score and ranks alternatives based on the provided decision matrix, weights, and impacts. It uses the weights and impacts to determine the ideal best and worst values, then calculates the distance of each alternative from these values to derive the final score and ranking.',  
#     long_description_content_type='text/markdown',  
#     author='Paras Jain',
#     author_email='pjain3_be22@thapar.edu',
#     url='https://github.com/ParasJain19/102203836_topsis',
#     download_url='https://github.com/ParasJain19/102203836_topsis/archive/v1.0.0.tar.gz',
#     keywords=['Topsis', 'Ranking', 'Decision Making', 'MCDM'],
#     install_requires=[
#         'pandas',
#         'numpy',
#     ],
#     classifiers=[
#         'Development Status :: 5 - Production/Stable',
#         'Intended Audience :: Developers',
#         'License :: OSI Approved :: MIT License',
#         'Programming Language :: Python :: 3',
#         'Programming Language :: Python :: 3.6',
#         'Programming Language :: Python :: 3.7',
#         'Programming Language :: Python :: 3.8',
#         'Programming Language :: Python :: 3.9',
#     ],
# )

from setuptools import setup, find_packages

# Read the contents of your README file
with open("README.md", "r", encoding="utf-8") as fh:
    long_description = fh.read()

setup(
    name='102203836_topsis',
    packages=find_packages(),
    version='1.0.0',
    license='MIT',
    description='Calculate TOPSIS score and rank alternatives.',
    long_description=long_description,  # Use the README.md content here
    long_description_content_type='text/markdown',  # Specify Markdown format
    author='Paras Jain',
    author_email='pjain3_be22@thapar.edu',
    url='https://github.com/ParasJain19/102203836_topsis',
    download_url='https://github.com/ParasJain19/102203836_topsis/archive/v1.0.0.tar.gz',
    keywords=['Topsis', 'Ranking', 'Decision Making', 'MCDM'],
    install_requires=[
        'pandas',
        'numpy',
    ],
    classifiers=[
        'Development Status :: 5 - Production/Stable',
        'Intended Audience :: Developers',
        'License :: OSI Approved :: MIT License',
        'Programming Language :: Python :: 3',
        'Programming Language :: Python :: 3.6',
        'Programming Language :: Python :: 3.7',
        'Programming Language :: Python :: 3.8',
        'Programming Language :: Python :: 3.9',
    ],
)
